### Enumeration

# Gtk EditableProperties

#### Declaration

    enum Gtk.EditableProperties

#### Description [src]

The identifiers for `GtkEditable` properties.

See `gtk_editable_install_properties()` for details on how to implement the `GtkEditable` interface.

#### Members

Name | Description
--- | ---
`GTK_EDITABLE_PROP_TEXT` | The property id for `GtkEditable:text`
`GTK_EDITABLE_PROP_CURSOR_POSITION` | The property id for `GtkEditable:cursor-position`
`GTK_EDITABLE_PROP_SELECTION_BOUND` | The property id for `GtkEditable:selection-bound`
`GTK_EDITABLE_PROP_EDITABLE` | The property id for `GtkEditable:editable`
`GTK_EDITABLE_PROP_WIDTH_CHARS` | The property id for `GtkEditable:width-chars`
`GTK_EDITABLE_PROP_MAX_WIDTH_CHARS` | The property id for `GtkEditable:max-width-chars`
`GTK_EDITABLE_PROP_XALIGN` | The property id for `GtkEditable:xalign`
`GTK_EDITABLE_PROP_ENABLE_UNDO` | The property id for `GtkEditable:enable-undo`
`GTK_EDITABLE_NUM_PROPERTIES` | The number of properties.